Package com.io7m.smfj.parser.api

## Class SMFParserEventsHeaderIgnoringReceiver

- java.lang.Object
- - com.io7m.smfj.parser.api.SMFParserEventsHeaderIgnoringReceiver

- All Implemented Interfaces:
    `SMFParserEventsErrorType`, `SMFParserEventsHeaderType`

      public final class SMFParserEventsHeaderIgnoringReceiver
      extends java.lang.Object
      implements SMFParserEventsHeaderType

  A convenient implementation of the `SMFParserEventsHeaderType` interface that delegates warnings and errors but ignores data.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFParserEventsHeaderIgnoringReceiver​(SMFParserEventsErrorType in_receiver)` | Construct a receiver.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onError​(SMFErrorType e)` | An error has occurred.
    `java.util.Optional<SMFParserEventsBodyType>` | `onHeaderParsed​(SMFHeader header)` | Parsing of the header was successful.
    `void` | `onWarning​(SMFWarningType w)` | An error has occurred of a severity low enough that it should just be considered a warning.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFParserEventsHeaderIgnoringReceiver

          public SMFParserEventsHeaderIgnoringReceiver​(SMFParserEventsErrorType in_receiver)

      Construct a receiver.
      Parameters:
        `in_receiver` - The error/warning receiver

  - ### Method Detail

    - #### onWarning

          public void onWarning​(SMFWarningType w)

      Description copied from interface: `SMFParserEventsErrorType`
      An error has occurred of a severity low enough that it should just be considered a warning.
      Specified by:
        `onWarning` in interface `SMFParserEventsErrorType`
      Parameters:
        `w` - The warning

    - #### onError

          public void onError​(SMFErrorType e)

      Description copied from interface: `SMFParserEventsErrorType`
      An error has occurred. Parsing will continue but the file as a whole must be considered invalid.
      Specified by:
        `onError` in interface `SMFParserEventsErrorType`
      Parameters:
        `e` - The error

    - #### onHeaderParsed

          public java.util.Optional<SMFParserEventsBodyType> onHeaderParsed​(SMFHeader header)

      Description copied from interface: `SMFParserEventsHeaderType`
      Parsing of the header was successful. The function must return an event receiver if it wishes parsing to continue.
      Specified by:
        `onHeaderParsed` in interface `SMFParserEventsHeaderType`
      Parameters:
        `header` - The parsed header
      Returns:
        An event receiver